# Class BshClassPath.DirClassSource

java.lang.Object
bsh.classpath.BshClassPath.ClassSource
bsh.classpath.BshClassPath.DirClassSource

Enclosing class:
  `BshClassPath`

public static class BshClassPath.DirClassSource extends BshClassPath.ClassSource

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`getCode(String className)`
`File`
`getDir()`
`static byte[]`
`readBytesFromFile(File base, String className)`
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### getDir

public File getDir()

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### getCode

public byte[] getCode(String className)

### readBytesFromFile

public static byte[] readBytesFromFile(File base, String className)